BimpДовідка

Надходження товарів, послуг: методи API Bimp

Методи API Bimp для ресурсу «Надходження товарів, послуг» (/org2/purchaseInvoice/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/purchaseInvoice/api-readA request to obtain detailed information for a particular purchase invoice document
POST /org2/purchaseInvoice/api-readListA request to view a list of purchase invoice documents
POST /org2/purchaseInvoice/api-createA request to create a new purchase invoice document
POST /org2/purchaseInvoice/api-updateA request to update an existing purchase invoice document
POST /org2/purchaseInvoice/api-cancelCancel a purchase invoice document

api-read

POST /org2/purchaseInvoice/api-read

A request to obtain detailed information for a particular purchase invoice document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the Purchase invoice document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
namestring
datestring (date-time)
commentstring
sumnumber
numberstring
counterpartystring (uuid)
responsiblestring (uuid)
organizationstring (uuid)
managerialAccountingbooleanУправлінський облік
bookkeperAccountingbooleanБухгалтерський облік
taxAccountingbooleanПодатковий облік
shipmentDatestring
VATaccountedboolean
VATnumber
costWOVatboolean
contractstring (uuid)
warehousestring (uuid)
invoiceForPaymentstring (uuid)
orderInTablePartboolean
processingbooleanAn informational flag marking the document as related to tolling (processing)
productsobject[]
products[].costnumber
products[].countnumber
products[].sumnumber
products[].VATstring (uuid)
products[].VATamountnumber
products[].unitOfMeasurementstring (uuid)
products[].productstring (uuid)
products[].parentstring (uuid)
products[].invoiceForCustomerPaymentstring (uuid)
products[].supplierNomenclaturestringSupplier nomenclature name (НоменклатураПоставщика)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/purchaseInvoice/api-readList

A request to view a list of purchase invoice documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
periodableobject[]Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. ‘2012-10-05T14:48:00.000Z’)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
showAllbooleanParameter to show all documents inc. Archived and Drafts
managerialAccountingbooleanShow documents with managerial accounting
bookkeperAccountingbooleanShow documents with bookkeper accounting

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestring
[].datestring (date-time)
[].commentstring
[].sumnumber
[].numberstring
[].currencystring (uuid)
[].counterpartystring (uuid)
[].responsiblestring (uuid)
[].organizationstring (uuid)
[].invoiceForPaymentstring
[].managerialAccountingbooleanУправлінський облік
[].bookkeperAccountingbooleanБухгалтерський облік
[].taxAccountingbooleanПодатковий облік
[].archivebooleanЗаархівований документ
[].isConductedbooleanПроведений документ
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/purchaseInvoice/api-create

A request to create a new purchase invoice document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
numberstring | numberDocument number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
shipmentDatestring | null
VATaccountedbooleanтакValue indicating whether VAT (Value Added Tax) has been accounted for
costWithoutVATbooleanтакIs the price excluding VAT?
bookkeperAccountingbooleanтакIs accounting taken into account in the document?
managerialAccountingbooleanтакIs management accounting taken into account in the document?
taxAccountingbooleanтакIs tax accounting taken into account in the document?
orderInTablePartbooleanIs there an order in the table part?
processingbooleanAn informational flag marking the document as related to tolling (processing)
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
responsiblestring (uuid)такA unique identifier for the Employee, obtainable from the /employee/api-readList request
counterpartystring (uuid)такA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
warehousestring (uuid)такA unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
contractstring (uuid)такThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
invoiceForSupplierPaymentstring (uuid)такA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
productsobject[]так
products[].orderedCountnumberтакNumber of ordered items
products[].warehouseCountnumberтакActual quantity received at the warehouse
products[].sumnumberтакThe sum of the document
products[].VATsumnumberтакThe amount of the VAT
products[].costnumberтакA numerical value representing the cost of the product
products[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
products[].productstring (uuid)такA GUID of product, representing the nomenclature included in the document
products[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
products[].taxRatestring (uuid)A unique identifier for the VAT, obtainable from the /vat/api-readList request
products[].invoiceForCustomerPaymentstring (uuid) | nullтакA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].supplierNomenclaturestringSupplier nomenclature name (НоменклатураПоставщика)

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"VATaccounted":true,"costWithoutVAT":true,"bookkeperAccounting":true,"managerialAccounting":true,"taxAccounting":true,"organization":"00000000-0000-0000-0000-000000000000","responsible":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","warehouse":"00000000-0000-0000-0000-000000000000","contract":"00000000-0000-0000-0000-000000000000","invoiceForSupplierPayment":"00000000-0000-0000-0000-000000000000","products":[{}]}'

api-update

POST /org2/purchaseInvoice/api-update

A request to update an existing purchase invoice document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{}'

api-cancel

POST /org2/purchaseInvoice/api-cancel

Cancel a purchase invoice document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the purchase invoice document

Відповідь: поле data

ПолеТипОпис
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/purchaseInvoice/api-cancel' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.